QXmpp Version:0.7.6

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Public Member Functions | List of all members
QXmppResultSetReply Class Reference

The QXmppResultSetReply class represents a set element in a reply as defined by XEP-0059: Result Set Management. More...

`#include <QXmppResultSet.h>`

## Public Member Functions

QString | first () const
| Returns the UID of the first result in the page.
void | setFirst (const QString &first)
| Sets the UID of the first result in the page.
QString | last () const
| Returns the UID of the last result in the page.
void | setLast (const QString &last)
| Sets the UID of the last result in the page.
int | count () const
void | setCount (int count)
int | index () const
void | setIndex (int index)
bool | isNull () const
| Returns true if no result set information is present.

## Detailed Description

The QXmppResultSetReply class represents a set element in a reply as defined by XEP-0059: Result Set Management.

## Member Function Documentation

int QXmppResultSetReply::count | ( |  | ) | const

Returns the total number of items in the set.

Note
  This may be an approximate count.

int QXmppResultSetReply::index | ( |  | ) | const

Returns the index for the first result in the page.

This is used for retrieving pages out of order.

Note
  This may be an approximate index.

void QXmppResultSetReply::setCount | ( | int | count | ) |

Sets the total number of items in the set.

Note
  This may be an approximate count.

void QXmppResultSetReply::setIndex | ( | int | index | ) |

Sets the index for the first result in the page.

This is used for retrieving pages out of order.

Note
  This may be an approximate index.

The documentation for this class was generated from the following files:

- QXmppResultSet.h
- QXmppResultSet.cpp